Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.ping
Class PingDisplay

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.InboxAgent
                  |
                  +--com.jxml.qare.qhome.ping.PingDisplay

All Implemented Interfaces:
  Item

public class PingDisplay
extends InboxAgent

Field Summary
`long` | `pingTime`
`long` | `pongTime`

Fields inherited from class com.jxml.qare.qhome.InboxAgent
`app, currentAccount, gkey, inbox, properties, sb, user, war`

Constructor Summary
`PingDisplay()`

Method Summary
`String` | `getAction()` This method is overidden by classes to specify the action defined by this message.
`QSchemaFactory` | `getFactory()` This method is overidden by classes which use the process/reply logic.
`void` | `initInput()` Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.
`void` | `initResult()` Initialization of the result display.
`String` | `processInput(String arg)` Process the template arguments for the input display.
`String` | `processResult(String arg)` Process the template arguments for the result display.
`boolean` | `refresh()`

Methods inherited from class com.jxml.qare.qhome.InboxAgent
`createInboxMsg, eval, expandProperty, process, processCommon`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pingTime

    public long pingTime

### pongTime

    public long pongTime

Constructor Detail

### PingDisplay

    public PingDisplay()

Method Detail

### getFactory

    public QSchemaFactory getFactory()

  Description copied from class: `SDO`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `getFactory` in class `InboxAgent`

### getAction

    public String getAction()

  Description copied from class: `SDO`
  This method is overidden by classes to specify the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### initInput

    public void initInput()
                   throws Exception

  Description copied from class: `InboxAgent`
  Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.
  Overrides:
    `initInput` in class `InboxAgent`

### processInput

    public String processInput(String arg)
                        throws Exception

  Description copied from class: `InboxAgent`
  Process the template arguments for the input display.
  Overrides:
    `processInput` in class `InboxAgent`

### initResult

    public void initResult()
                    throws Exception

  Description copied from class: `InboxAgent`
  Initialization of the result display.
  Overrides:
    `initResult` in class `InboxAgent`

### processResult

    public String processResult(String arg)
                         throws Exception

  Description copied from class: `InboxAgent`
  Process the template arguments for the result display.
  Overrides:
    `processResult` in class `InboxAgent`

### refresh

    public boolean refresh()
                    throws Exception

  Overrides:
    `refresh` in class `InboxAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD